'use strict';

const generateControllers = require('../../core/controllers');
const entityTypeService = require('./entity_type.service');
const { extractParamsFromRequest, handleErrorResponse, handleResultResponse } = require('../../helpers/controller.helper');

// Module Name
const MODULE_NAME = '[entityType.controller]';

const controllerOptions = { MODULE_NAME };
const extraControllers = {
};

module.exports = generateControllers(entityTypeService, extraControllers, controllerOptions);

